#!/usr/bin/env python
# -*- coding: UTF-8 -*-


# part of battery-status project
# battery-status - Battery Status for the GNOME desktop
# Copyright (c) 2010 Ivan Zorin <ivan.a.zorin@gmail.com>
# see README for more information


"""Battery Status for the GNOME desktop""";


from distutils.core import setup;
from distutils.command.install_data import install_data;


class InstallData(install_data):
	def run(self):
		install_data.run(self);


setup(
	name = "battery-status",
	version = "0.1.2",
	maintainer = "Ivan Zorin",
	maintainer_email = "ivan.a.zorin@gmail.com",
	description = "battery status",
	license = "GNU GPL v3",
	scripts = ['battery-status'],
	url = "http://live.gnome.org/BatteryApplet",
	package_dir = {
		"batterystatus": ".",
	},
	packages = [
		"batterystatus",
	],
	data_files=[('/usr/bin', ['battery-status']),
		('/usr/lib/bonobo/servers', ['Battery_Applet.server']),
		('/usr/share/gconf/schemas', ['battery-status.schemas']),
		('/usr/share/applications', ['battery-status.desktop']),
		('/usr/share/pixmaps', ['icons/battery-status-logo.png']),
	],
	cmdclass={'install_data': InstallData}
)


